Listar a caixa de entrada
RegistosGET /inbox
List notification messages addressed to the authenticated utility staff member
Results are scoped to both the active utility tenant and the authenticated identity.
Parâmetros
limitMaximum resources to return (default 20, maximum 100).
afterOpaque cursor returned by the previous page.
unread_onlyWhen
true, return only messages that have not been marked read; accepts Go boolean strings (true,false, 1, 0, t, f) and returns 400 for anything else.include_archivedWhen
true, also return archived messages, which are hidden by default; accepts Go boolean strings and returns 400 for anything else.
Devolve
200 Utility-scoped staff inbox messages
Mostrar atributos
dataMostrar atributos filhos
idtenant_idintent_idevent_typetemplate_keytitlebodyresource_typeresource_idcreated_atread_atarchived_at
has_morenext_cursor
Erros 403
Permissões business:notification-intents:read · Funções: admin, customer_service, owner
curl -X GET "$BUSINESS_API/inbox" \
-H "Authorization: Bearer sk_test_..."
# Sem comando CLI equivalente; use cURL ou HTTP directo.
const res = await fetch("$BUSINESS_API/inbox", {
method: "GET",
headers: {
Authorization: "Bearer sk_test_..."
}
});
const data = await res.json();
import requests
res = requests.get(
"$BUSINESS_API/inbox",
headers={
"Authorization": "Bearer sk_test_..."
}
)
data = res.json()
req, _ := http.NewRequest("GET", "$BUSINESS_API/inbox", nil)
req.Header.Set("Authorization", "Bearer sk_test_...")
resp, err := http.DefaultClient.Do(req)
{
"data": [
{
"id": "not_2WyblSmD5mK7ZwWz32AntEotfiw",
"tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
"intent_id": "int_22Gr1MqNzCoLNQG9VCg3dYIRdQg",
"event_type": "event type",
"template_key": "template key",
"title": "Fuga na Rua 3",
"body": "Leitura confirmada no local.",
"resource_type": "resource type",
"resource_id": "res_2iAXhMsJzmqPnY6X5cMTJ6OBTSG",
"created_at": "2026-11-19T09:30:00Z",
"read_at": "2026-11-19T09:30:00Z",
"archived_at": "2026-11-19T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "next cursor"
}